## org.omg.PortableServer
Class LifespanPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.LifespanPolicyHelper

public class LifespanPolicyHelper
extends java.lang.Object

Helper class for : LifespanPolicy

Author:
  OpenORB Compiler

Constructor Summary
`LifespanPolicyHelper()`

Method Summary
`static LifespanPolicy` `extract(Any a)` Extract LifespanPolicy from an any
`static java.lang.String` `id()` Return the LifespanPolicy IDL ID
`static void` `insert(Any a, LifespanPolicy t)` Insert LifespanPolicy into an any
`static LifespanPolicy` `narrow(Object obj)` Narrow CORBA::Object to LifespanPolicy
`static LifespanPolicy` `read(InputStream istream)` Read LifespanPolicy from a marshalled stream
`static TypeCode` `type()` Return the LifespanPolicy TypeCode
`static LifespanPolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to LifespanPolicy
`static void` `write(OutputStream ostream, LifespanPolicy value)` Write LifespanPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifespanPolicyHelper

    public LifespanPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              LifespanPolicy t)

  Insert LifespanPolicy into an any
  Parameters:
    `a` - an any
    `t` - LifespanPolicy value

### extract

    public static LifespanPolicy extract(Any a)

  Extract LifespanPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted LifespanPolicy value

### type

    public static TypeCode type()

  Return the LifespanPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the LifespanPolicy IDL ID
  Returns:
    an ID

### read

    public static LifespanPolicy read(InputStream istream)

  Read LifespanPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed LifespanPolicy value

### write

    public static void write(OutputStream ostream,
                             LifespanPolicy value)

  Write LifespanPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - LifespanPolicy value

### narrow

    public static LifespanPolicy narrow(Object obj)

  Narrow CORBA::Object to LifespanPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    LifespanPolicy Object

### unchecked_narrow

    public static LifespanPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to LifespanPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    LifespanPolicy Object